# Created by pyp2rpm-3.3.2
%global pypi_name liquidctl

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Cross-platform tool and drivers for liquid coolers and other devices

License:        None
URL:            https://github.com/jonasmalacofilho/liquidctl
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 liquidctl – liquid cooler control_Cross-platform tool and drivers for liquid
coolers and other devices_[![Join the chat at liquidctl list Device 0, NZXT
Kraken X (X42, X52, X62 or X72) liquidctl initialize liquidctl status Device 0,
NZXT Kraken X (X42, X52, X62 or X72) Liquid temperature 29.4 °C Fan speed 639
rpm Pump speed 1910 rpm Firmware version 4.0.2 liquidctl set pump speed 90

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(docopt)
Requires:       python3dist(pyusb)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 liquidctl – liquid cooler control_Cross-platform tool and drivers for liquid
coolers and other devices_[![Join the chat at liquidctl list Device 0, NZXT
Kraken X (X42, X52, X62 or X72) liquidctl initialize liquidctl status Device 0,
NZXT Kraken X (X42, X52, X62 or X72) Liquid temperature 29.4 °C Fan speed 639
rpm Pump speed 1910 rpm Firmware version 4.0.2 liquidctl set pump speed 90


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{_bindir}/liquidctl
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Mar 22 2019 mockbuilder - 1.1.0-1
- Initial package.